### Function

# Gimp param_spec_palette

since: 3.0

#### Declaration [src]

    GParamSpec*
    gimp_param_spec_palette (
      const gchar* name,
      const gchar* nick,
      const gchar* blurb,
      gboolean none_ok,
      GimpPalette* default_value,
      gboolean default_to_context,
      GParamFlags flags
    )

#### Description [src]

Creates a new `GimpParamSpecPalette` specifying a `GimpPalette` property. See also `gimp_param_spec_resource()`.

Available since: 3.0

#### Parameters

`name`

  Type: `const gchar*`

  Canonical name of the property specified.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`nick`

  Type: `const gchar*`

  Nick name of the property specified.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`blurb`

  Type: `const gchar*`

  Description of the property specified.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`none_ok`

  Type: `gboolean`

  Whether `NULL` is a valid value.

`default_value`

  Type: `GimpPalette`

  Default palette.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`default_to_context`

  Type: `gboolean`

  Whether the context is the context’s palette.

`flags`

  Type: `GParamFlags`

  Flags for the property specified.

#### Return value

Type: `GParamSpec`

The newly created `GimpParamSpecPalette`.

The data is owned by the called function.